package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridItemDaily;
import com.ruoyi.system.domain.grid.GridItemDailyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridItemDailyMapper {
    long countByExample(GridItemDailyExample example);

    int deleteByExample(GridItemDailyExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridItemDaily record);

    int insertSelective(GridItemDaily record);

    List<GridItemDaily> selectByExample(GridItemDailyExample example);

    GridItemDaily selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridItemDaily record, @Param("example") GridItemDailyExample example);

    int updateByExample(@Param("record") GridItemDaily record, @Param("example") GridItemDailyExample example);

    int updateByPrimaryKeySelective(GridItemDaily record);

    int updateByPrimaryKey(GridItemDaily record);
}